@ECHO OFF

cls
echo Lion's language_x1.dll installation
echo This script will Install the new language_x1.dll file and Uninstall it
echo Make sure the file Lionlanguage.dll is in your Aok directory before doing
echo anything else.
pause
cls

echo Checking for being run in the AoK installation folder ...
if not exist backup\language_x1.dll goto missing_dll

echo Checking for existing backups of the AoK resource files ...
if exist backup\language_x1.dll goto restore_drs

rem ------------------------------------------------------------------

:missing_dll
echo Installing the new language_x1.dll file
echo, 
echo Creating a back-up folder if needed
md backup
echo Creating a back-up file of your language_x1.dll to the backup folder
move language_x1.dll backup\language_x1.dll
ECHO Replacing the old language_x1.dll by the Lion's one
ren  Lionlanguage.dll language_x1.dll
ECHO,
ECHO Installation finished. To uninstall, run this script again
ECHO.
goto end

rem ------------------------------------------------------------------

:restore_drs
echo Restoring the original AoK language.dll
echo,
echo Remaking the Lionlanguage.dll file
ren language_x1.dll LionLanguage.dll
ECHO Reinstalling the old language_x1.dll file
echo Removing the backup file
move backup\language_x1.dll language_x1.dll
ECHO,
ECHO Uninstallation finished. To install, run this script again
ECHO.
goto end

:end
ECHO Done